=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# options that can be added to DEB_BUILD_OPTIONS:
# - noopt: compile with -O0
# - maemo: enable maemo hacks

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


LDFLAGS = -Wl,--as-needed
export LDFLAGS

# For some reason, the Scratchbox cross-compiler doesn't
# seem to honor rpaths. Compensate by adding rpath-link.
LDFLAGS += \
	-Wl,-rpath-link=src/build-synthesis/src/.libs \
	-Wl,-rpath-link=src/gdbus/.libs

# some optified -dev packages may forget the symlink
PKG_CONFIG_PATH=/opt/maemo/usr/lib/pkgconfig
export PKG_CONFIG_PATH

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += CXXFLAGS="-g -O0"
endif

CONFIGURE_FLAGS += --enable-maemo --enable-shared --disable-static \
 --disable-ssl-certificate-check \
 --disable-libsoup --enable-libcurl --disable-ecal --enable-ebook --enable-maemocal \
 --disable-bluetooth --enable-dav --with-synthesis-src=libsynthesis

configure: configure.ac
	./autogen-maemo.sh

libsynthesis/configure: libsynthesis/configure.in configure
	cd libsynthesis && ./autogen-maemo.sh

config.status: configure libsynthesis/configure
	dh_testdir
	# --enable-shared added to build SyncEvolution backends as modules,
	# which is more flexible but not the default because it requires a
	# specific installation layout.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(CONFIGURE_FLAGS) \
	 --prefix=/usr --docdir=/usr/lib/syncevolution/doc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	 --sysconfdir=/etc
	# fix place of \$compiler_flags in -shared build line: our -Wl,--as-needed has
	# no effect if it comes after the libs, which is where libtool 1.5.24 puts it
	# normally
	perl -pi -e 's/-shared (.*) \\\$$compiler_flags/-shared \\\$$compiler_flags $$1/' libtool

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps --exclude=syncebook --exclude=syncecal
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

	# On Harmattan, add Aegis manifest
	-aegis-deb-add -control debian/syncevolution/DEBIAN/control .. \
	  debian/syncevolution.aegis=_aegis

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
