## syncevolution 1.4

=== debian/changelog ===
syncevolution (1.4-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Add versioned dependencies on libsynthesis0 and libsmltk0 to
    libsyncevolution0, to force installation of backported version.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 21 May 2014 10:55:03 +0000

syncevolution (1.4-1) unstable; urgency=high

  * New upstream release
  * Allow parallel builds
  * Adjust Maintainer: field to new surname
  * Fix FTBFS due to erroneously hardcoded x86_64 path in an install file
    (Closes: #739665)
  * Fix upgrade from versions before 1.3.99.7 due to file conflicts.
    Thanks to Simon McVittie (Closes: #739662)
  * Add sections for files previously missing in copyright information
    (Closes: #739616)
  * Remove 0001-Fix-incorrect-mktemp-usage-reported-by-Helmut-Grohne.patch,
    fixed upstream in a different way

 -- Tino Mettler <tino+debian@tikei.de>  Fri, 21 Feb 2014 11:44:04 +0100

syncevolution (1.3.99.7-1) unstable; urgency=high

  * New upstream release candidate
  * Add 0001-Fix-incorrect-mktemp-usage-reported-by-Helmut-Grohne.patch,
    which fixes CVE-2014-1639
    (Closes: #736357)
  * Enable Akonadi support, separate Evolution (GNOME) and Akonadi (KDE) support
    (Closes: #682520)
  * Update standards version to 3.9.5, no changes needed
  * Add NEWS item to describe changes regarding KDE and GNOME support

 -- Tino Keitel <tino+debian@tikei.de>  Fri, 31 Jan 2014 12:44:35 +0100
