=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: syncevolution
 Section: utils
 Priority: optional
-Maintainer: Tino Keitel <tino+debian@tikei.de>
+Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
  libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
- libsynthesis-dev (>=3.4.0.16.8),
+ libsynthesis-dev (>=3.4.0.47.1),
  libtool, automake, intltool, pkg-config,
  libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
  libgconf2-dev, libgnome-keyring-dev, xsltproc, 
  libopenobex1-dev [linux-any], libnotify-dev,
  python-docutils, libical-dev, libneon27-gnutls-dev, libpcre3-dev,
- libcppunit-dev
-Standards-Version: 3.9.2
+ libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev
+Standards-Version: 3.9.5
 Homepage: http://www.syncevolution.org
 Vcs-Git: git://git.debian.org/git/collab-maint/syncevolution
 Vcs-Browser: http://git.debian.org/?p=collab-maint/syncevolution.git
@@ -21,7 +21,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
 	 syncevolution-common (= ${source:Version}),
 	 syncevolution-libs (= ${binary:Version})
-Recommends: evolution-data-server, bluez
+Recommends: bluez
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (CLI)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
@@ -36,7 +36,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), 
 	 syncevolution-dbus 
-Recommends: evolution-data-server, bluez
+Recommends: bluez
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (GTK+ GUI)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
@@ -64,7 +64,9 @@
 
 Package: syncevolution-libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: syncevolution-libs-gnome (= ${binary:Version}) |
+         syncevolution-libs-kde (= ${binary:Version}),
+         ${misc:Depends}, ${shlibs:Depends}
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
@@ -75,12 +77,42 @@
  .
  This package provides private libraries and plugins.
 
+Package: syncevolution-libs-gnome
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: evolution-data-server
+Replaces: syncevolution-libs (<< 1.3.99.7)
+Breaks: syncevolution-libs (<< 1.3.99.7)
+Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
+ SyncEvolution synchronizes contact, calendar and task items via SyncML and
+ CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
+ to sync PIM data in Evolution, but a plain file storage is also supported.
+ Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
+ incremental synchronization of items are supported. SyncEvolution can act as
+ a SyncML/DAV client and SyncML server.
+ .
+ This package provides private libraries and plugins for Gnome.
+
+Package: syncevolution-libs-kde
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: syncevolution-libs (<< 1.3.99.7)
+Breaks: syncevolution-libs (<< 1.3.99.7)
+Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
+ SyncEvolution synchronizes contact, calendar and task items via SyncML and
+ CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
+ to sync PIM data in Evolution, but a plain file storage is also supported.
+ Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
+ incremental synchronization of items are supported. SyncEvolution can act as
+ a SyncML/DAV client and SyncML server.
+ .
+ This package provides private libraries and plugins for KDE.
+
 Package: syncevolution-dbus
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 	 
 	 syncevolution-common (= ${source:Version}),
 	 syncevolution-libs (= ${binary:Version}), dbus
-Recommends: evolution-data-server
 Replaces: sync-ui (<< 1.1+ds1-1)
 Breaks: sync-ui (<< 1.1+ds1-1)
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (D-Bus support)
@@ -127,7 +159,7 @@
 
 Package: libsyncevolution0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus, libsynthesis0 (>= 3.4.0.47.1), libsmltk0 (>= 3.4.0.47.1)
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
