=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-UPSTREAMTAG=upstream/1.3.2
+UPSTREAMTAG=upstream/1.4
 
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
@@ -15,7 +15,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %: 
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_install:
 	make install DESTDIR=$(CURDIR)/debian/tmp
@@ -28,6 +28,7 @@
 			--sysconfdir=/etc \
 			--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/syncevolution \
 			--enable-gui \
+			--enable-kwallet --enable-akonadi \
 			--with-rst2man --with-rst2html --enable-dav
 
 override_dh_install:
@@ -35,10 +36,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=syncevolution-dbg
-
-override_dh_makeshlibs:
-	dh_makeshlibs -psyncevolution-libs -n
-	dh_makeshlibs -Nsyncevolution-libs
 
 get-orig-source: 
 	git archive --format=tar ${UPSTREAMTAG} --prefix=${SOURCEPKG}_${UPSTREAM}/ | gzip -9 > ../${ORIG}
