## syncevolution 1.4.99.4

=== debian/changelog ===
syncevolution (1.4.99.4-3) unstable; urgency=medium

  * Use TLS instead of SSLv3 in SyncML server script (Closes: #772040)

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 04 Dec 2014 22:44:49 +0100

syncevolution (1.4.99.4-2) unstable; urgency=medium

  * Fix FTBFS on kfreebsd due to missing SOCK_CLOEXEC

 -- Tino Mettler <tino+debian@tikei.de>  Sun, 26 Oct 2014 14:12:59 +0100

syncevolution (1.4.99.4-1) unstable; urgency=medium

  * New upstream release candidate
  * Build-depend on libsynthesis 3.4.0.47.4
  * syncaddressbook.so vanished, as iOS addressbook support was removed

 -- Tino Mettler <tino+debian@tikei.de>  Sat, 25 Oct 2014 22:34:41 +0200
