=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
  libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
- libsynthesis-dev (>=3.4.0.47.1),
+ libsynthesis-dev (>=3.4.0.47.4),
  libtool, automake, intltool, pkg-config,
  libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
  libgconf2-dev, libgnome-keyring-dev, xsltproc, 
@@ -159,7 +159,7 @@
 
 Package: libsyncevolution0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus, libsynthesis0 (>= 3.4.0.47.1), libsmltk0 (>= 3.4.0.47.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
