=== debian/changelog ===
syncevolution (1.5-0ubuntu12) xenial; urgency=medium

  * Build-depend on libopenobex2-dev | libopenobex-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 11:18:40 +0100

syncevolution (1.5-0ubuntu10) xenial; urgency=medium

  * No change rebuild with the new e-d-s sonames

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Oct 2015 10:46:03 +0100

syncevolution (1.5-0ubuntu9) wily; urgency=medium

  * Install GOA support into a separate binary package. (LP: #1406200)

 -- Bruce Pieterse <dev@otq.za.net>  Tue, 04 Aug 2015 20:42:49 +0200

syncevolution (1.5-0ubuntu8) wily; urgency=medium

  * Drop wrong hard-coded dependency on libsynthesis0 from
    syncevolution-common.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 10:24:06 +0000

syncevolution (1.5-0ubuntu7) wily; urgency=medium

  * No-change rebuild against libsynthesis0v5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 09:33:55 +0000

syncevolution (1.5-0ubuntu7~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jul 2015 21:37:04 +0000

syncevolution (1.5-0ubuntu6) wily; urgency=medium

  * No-change rebuild against new e-d-s

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 17 Jun 2015 11:58:44 +0100

syncevolution (1.5-0ubuntu5) vivid; urgency=medium

  * debian/patches/calendar-limit-date-sync.diff
    - Fixed startDate return value to use month in the range 1..12, instead of 0..11.

  * debian/patches/Handle-error-403-from-google-calendar.patch
    - Handle google calendar error 403 while syncing to avoid sync to fail.

  * debian/patches/Avoid-crash-if-the-g_variant_new_string-fails.patch
    - Avoid crash if the 'g_variant_new_string' is called with a invalid string.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 01 Apr 2015 12:29:08 -0300

syncevolution (1.5-0ubuntu4) vivid; urgency=medium

  * Use 90 days as default value for syncInterval.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 04 Feb 2015 09:08:33 -0500

syncevolution (1.5-0ubuntu3) vivid; urgency=medium

  * Revert upload of 1.5-0ubuntu2, neither sponsor nor sponsoree have
    upload permissions into the Ubuntu Archive for this package.
  * Upload was performed via:
    - https://ci-train.ubuntu.com/job/prepare-silo/3978/console
    - not approved in https://code.launchpad.net/~renatofilho/ubuntu/vivid/syncevolution/default-syncInterval/+merge/247768

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 04 Feb 2015 10:29:14 +0000

syncevolution (1.5-0ubuntu2) vivid; urgency=medium

  * Use 90 days as default value for syncInterval.

 -- Robert Bruce Park <robert.park@canonical.com>  Tue, 03 Feb 2015 11:09:21 -0800

syncevolution (1.5-0ubuntu1) vivid; urgency=medium

  * No-change rebuild for new libical

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 06 Jan 2015 17:34:04 +0000

syncevolution (1.5-0ubuntu0) vivid; urgency=medium

  * New upstream release.
  * debian/control
    - bumped build depends on libsynthesis-dev to >=3.4.0.47.5
  * debian/patches/calendar-limit-date-sync.diff
    - limit dates on sync

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 04 Nov 2014 14:41:39 -0500

syncevolution (1.4-1ubuntu4) trusty; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * debian/patches/removed-workarount-not-necessary-in-new-eds.patch:
    - Added patch to optimize EDS calendar sync (LP: #1306112)

 -- Robert Bruce Park <robert.park@canonical.com>  Tue, 15 Apr 2014 12:34:32 -0700

syncevolution (1.4-1ubuntu2) trusty; urgency=medium

  * Imported patch to fix contact photo merging.

 -- Robert Bruce Park <robert.park@canonical.com>  Fri, 04 Apr 2014 18:24:20 -0300

syncevolution (1.4-1ubuntu1) trusty; urgency=medium

  * Add build-dependencies and pass configure flag to enable Ubuntu Online
    Accounts support. (LP: #1285583)
  * Take patch from upstream bug #75670 to fix build (build system cannot find
    `QString' due to incorrect CPPFLAGS)
  * Install UOA support into a separate binary package.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 06 Mar 2014 16:50:57 +0000
