=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: syncevolution
 Section: utils
 Priority: optional
-Maintainer: Tino Mettler <tino+debian@tikei.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
  libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
- libsynthesis-dev (>=3.4.0.47.4),
+ libsynthesis-dev (>=3.4.0.47.5),
  libtool, automake, intltool, pkg-config,
  libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
  libgconf2-dev, libgnome-keyring-dev, xsltproc, 
- libopenobex1-dev [linux-any], libnotify-dev,
+ libopenobex2-dev [linux-any] | libopenobex-dev [linux-any], libnotify-dev,
  python-docutils, libical-dev, libneon27-gnutls-dev, libpcre3-dev,
- libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev
+ libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev,
+ libaccounts-glib-dev (>= 1.8), libsignon-glib-dev (>= 1.7)
 Standards-Version: 3.9.5
 Homepage: http://www.syncevolution.org
 Vcs-Git: git://git.debian.org/git/collab-maint/syncevolution
@@ -49,7 +51,7 @@
 
 Package: syncevolution-common
 Architecture: all
-Depends: ${misc:Depends}, libsynthesis0 (>= 3.4.0.16.8)
+Depends: ${misc:Depends}
 Conflicts: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
 Replaces: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
 Description: Sync personal information data using SyncML and CalDAV/CardDAV
@@ -107,6 +109,34 @@
  a SyncML/DAV client and SyncML server.
  .
  This package provides private libraries and plugins for KDE.
+
+Package: syncevolution-provider-uoa
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Sync personal information data using SyncML and CalDAV/CardDAV (UOA provider)
+ SyncEvolution synchronizes contact, calendar and task items via SyncML and
+ CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
+ to sync PIM data in Evolution, but a plain file storage is also supported.
+ Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
+ incremental synchronization of items are supported. SyncEvolution can act as
+ a SyncML/DAV client and SyncML server.
+ .
+ This package provides a provider for Ubuntu Online Accounts, allowing
+ syncevolution to access account information stored there.
+
+Package: syncevolution-provider-goa
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Sync personal information data using SyncML and CalDAV/CardDAV (GOA provider)
+ SyncEvolution synchronizes contact, calendar and task items via SyncML and
+ CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
+ to sync PIM data in Evolution, but a plain file storage is also supported.
+ Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
+ incremental synchronization of items are supported. SyncEvolution can act as
+ a SyncML/DAV client and SyncML server.
+ .
+ This package provides a provider for GNOME Online Accounts, allowing
+ syncevolution to access account information stored there.
 
 Package: syncevolution-dbus
 Architecture: any
