=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,11 @@
 			--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/syncevolution \
 			--enable-gui \
 			--enable-kwallet --enable-akonadi \
-			--with-rst2man --with-rst2html --enable-dav
+			--with-rst2man --with-rst2html --enable-dav \
+			--enable-uoa
 
 override_dh_install:
-	dh_install -X"*.pl"
+	dh_install -X"*.pl" --list-missing
 
 override_dh_strip:
 	dh_strip --dbg-package=syncevolution-dbg
