=== debian/watch ===
version=3

opts=dversionmangle=s/\+ds\d+$// \
  http://downloads.syncevolution.org/syncevolution/sources/syncevolution-(.*).tar.gz
